com.smartgwt.client.types

## Enum ImageStyle

- java.lang.Object
- - java.lang.Enum<ImageStyle>
  - - com.smartgwt.client.types.ImageStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ImageStyle>

      public enum ImageStyle
      extends java.lang.Enum<ImageStyle>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Center (and don't stretch at all) the image if smaller than its enclosing frame.CENTER:"center",
    `NORMAL` Allow the image to have natural size
    `STRETCH` Stretch the image to the size of its enclosing frame.
    `TILE` Tile (repeat) the image if smaller than its enclosing frame.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ImageStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImageStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final ImageStyle CENTER

      Center (and don't stretch at all) the image if smaller than its enclosing frame.CENTER:"center",

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "center".

    - #### TILE

          public static final ImageStyle TILE

      Tile (repeat) the image if smaller than its enclosing frame.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tile".

    - #### STRETCH

          public static final ImageStyle STRETCH

      Stretch the image to the size of its enclosing frame.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "stretch".

    - #### NORMAL

          public static final ImageStyle NORMAL

      Allow the image to have natural size

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "normal".

  - ### Method Detail

    - #### values

          public static ImageStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageStyle c : ImageStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`